### Method

# Ide Diagnostic get_range

#### Declaration

    IdeRange*
    ide_diagnostic_get_range (
      IdeDiagnostic* self,
      guint index
    )

#### Description

Retrieves the range found at `index`. It is a programming error to call this function with a value greater or equal to ide_diagnostic_get_n_ranges().

Available since: | 3.32

#### Parameters

`index` | `guint`
| No description available.

#### Return value

Returns: | `IdeRange`
| An `IdeRange`.
| The data is owned by the instance.
| The return value can be `NULL`.